Mautic Community Forums

2.9.2 Released!

We’re happy to announce that 2.9.2 has been released! Read the full release notes here.



If upgrading from earlier than 2.6.0:

If you are have access to SSH, we highly recommend that you use the update script. Download it to the root of your Mautic installation and run it from SSH/CLI with php upgrade.php. If you are on a VPS, be aware of the user used to execute that command as you may have to fix the owner to be that of your web user. Be sure to remove this file once the upgrade is complete.



If upgrading from 2.6.1 or later:

Since this does not include any schema changes, the update process built into Mautic’s front-end will suffice in updating. Simply log out, back in, and you should see the upgrade notification similar to:



update_available.png



Click Update Now and follow the prompts.



If you have any issues - be sure to checkout John’s post.



Happy Marketing!



The Mautic Team

We’re happy to announce that 2.9.2 has been released! Read the full release notes here.

If upgrading from earlier than 2.6.0:
If you are have access to SSH, we highly recommend that you use the update script. Download it to the root of your Mautic installation and run it from SSH/CLI with php upgrade.php. If you are on a VPS, be aware of the user used to execute that command as you may have to fix the owner to be that of your web user. Be sure to remove this file once the upgrade is complete.

If upgrading from 2.6.1 or later:
Since this does not include any schema changes, the update process built into Mautic’s front-end will suffice in updating. Simply log out, back in, and you should see the upgrade notification similar to:

Click Update Now and follow the prompts.

If you have any issues - be sure to checkout John’s post.

Happy Marketing!

The Mautic Team

Thank you for update. But the problem with form stuck on please wait button is still persist. I get it after upgrading to 2.9, wait to 2.9.1 still the same, and now 2.9.2. I appreciated your great effort to make the software perfect. Thank you. Here is the log form the bug, anyone have any ideas

[2017-08-04 14:04:11] mautic.CRITICAL: Uncaught PHP Exception DoctrineORMORMInvalidArgumentException: "A new entity was found through the relationship 'MauticEmailBundleEntityStatDevice#stat' that was not configured to cascade persist operations for entity: MauticEmailBundleEntityStat@00000000511e6c530000000034c3207e. To solve this issue: Either explicitly call EntityManager#persist() on this unknown entity or configure cascade persist  this association in the mapping for example @ManyToOne(..,cascade={"persist"}). If you cannot find out which entity causes the problem implement 'MauticEmailBundleEntityStat#__toString()' to get a clue." at /home/go.firetoeic.com/public_html/vendor/doctrine/orm/lib/Doctrine/ORM/ORMInvalidArgumentException.php line 92 {"exception":"[object] (Doctrine\ORM\ORMInvalidArgumentException(code: 0): A new entity was found through the relationship 'Mautic\EmailBundle\Entity\StatDevice#stat' that was not configured to cascade persist operations for entity: Mautic\EmailBundle\Entity\Stat@00000000511e6c530000000034c3207e. To solve this issue: Either explicitly call EntityManager#persist() on this unknown entity or configure cascade persist  this association in the mapping for example @ManyToOne(..,cascade={"persist"}). If you cannot find out which entity causes the problem implement 'Mautic\EmailBundle\Entity\Stat#__toString()' to get a clue. at /home/go.firetoeic.com/public_html/vendor/doctrine/orm/lib/Doctrine/ORM/ORMInvalidArgumentException.php:92)"} []

Smooth update for me. Keep it good work;)

Great update, thanks.

Updating from 2.9.1 -> 2.9.2 . The cache clear step fail.
And now I get this error in log

[Fri Aug 04 16:20:33 2017] [error] [client 172.68.26.235] PHP Warning: require(/var/www/Mautic/public/app/cache/prod/doctrine/orm/Proxies/__CG__MauticCategoryBundleEntityCategory.php): failed to open stream: No such file or directory in /var/www/Mautic/public/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 209
[Fri Aug 04 16:20:33 2017] [error] [client 172.68.26.235] PHP Fatal error: require(): Failed opening required ‘/var/www/Mautic/public/app/cache/prod/doctrine/orm/Proxies/__CG__MauticCategoryBundleEntityCategory.php’ (include_path=’.:/usr/share/pear:/usr/share/php’) in /var/www/Mautic/public/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 209

I got it, it seemed to be permission.
It would be interesting to have a permission check before upgrading. 2.9.2 /

Update process was very smooth! Love all the new features! Still have the same hanging on form submission error as 2.9.0 and 2.9.1, same issue that @phuquy1311 mentioned.

Checked the browser console for errors upon pressing submit on my form, and got:

 Unknown property ‘user-select’.  Declaration dropped.

@DonGilbert , was this issue addressed in update from 2.9.1 to 2.9.2? Know people have been mentioning it alot.

Glad to help resolve this error in any way as quickly as possible, very appreciative of all the new features!

The forms do not work in this version either. Has anyone learned of a way to fix the forms?

I have the same issue as @ganovaes where the upgrade gets to database updates and then fails to complete.

‘/var/www/vhosts/katalysis.net/httpdocs/pages/app/cache/prod/doctrine/orm/Proxies/__CG__MauticPluginBundleEntityPlugin.php’

Is present and has the same permissions as all other files in directory.

Could you explain how you resolved this @ganovaes?

Hey @jwldub - I had to go back to version 2.8 to get my forms fixed. I’m not upgrading any of my sites until they figure it out completely.

[2017-08-08 20:51:27] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-08 20:51:29] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-08 20:51:37] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-08 20:51:38] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 08:58:56] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 08:58:58] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 14:49:13] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 14:49:15] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 15:17:43] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []
[2017-08-09 15:17:45] mautic.WARNING: IP LOOKUP: The file “/home/lead2crm/public_html/map/app/cache/prod/…/ip_data/GeoLite2-City.mmdb” does not exist or is not readable. [] []

Reporting back. 2.9.2 seems to be working for my forms!

Hi! I have version 2.8.0 and on the two attempts to upgrade to 2.9.2 version, I got stucked on “Clearing Application Cache” step.
Should I use the upgrade script?
I have needed to use my backup to get back to mautic

Best regards

I update 2.9.2 without any fails and its working fine all the way.

Migrate Database also.

If anyone need help in updation of mautic, any version . Let me know PM

[quote=25471:@bizcrony]I update 2.9.2 without any fails and its working fine all the way.

Migrate Database also.

If anyone need help in updation of mautic, any version . Let me know PM[/quote]
Hi bizcrony! How are you?
What I should do when you say: “Migrate Database also”
The upgrade process don’t do this?
My server have all packages fully updated

we need to migrate database also Just after new updation of mautic. For a Best Practice really.

After the update the tabs Emails and Focus Items run to 500 internal server error. I have deleted the app/cache, same behaviour.

@bizcrony meant about the database migration probably this:
[your-mautic-url]/s/update/schema -> it will update the database table schema. I run it, and the issue is solved.